This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 132816 - (IT_37323) glibc in RHEL 3 needs to have syslog.c updated to cvs version 1.42
glibc in RHEL 3 needs to have syslog.c updated to cvs version 1.42
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-17 08:52 EDT by Neil Horman
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-20 13:14:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Neil Horman 2004-09-17 08:52:26 EDT
Description of problem:
If a root owned process calls syslog while the syslogd daemon is
stopped, it will set the LogType global variable permanently to
SOCK_STREAM, relegating any further syslog messages from that
application to the console, rather than the syslog

Version-Release number of selected component (if applicable):
all pre-RHEL4-Beta 1 versions

How reproducible:
always

Steps to Reproduce:
1.log in as/su to root 
2.start an application that periodically writes to the syslog
3.stop the syslog daemon
4.wait a sufficient period of time for the app in (2) to attempt to
write a syslog message
5.start the syslog daemon

Actual results:
Messages from the application are not logged in /var/log/messages
until the app is restarted

Expected results:
Messages from the appication should start to appaear in
/var/log/messages when syslogd is restarted.

Additional info:
This is fixed in the sources.redhat.com glibc cvs tree in version 1.42
of misc/syslog.c
Comment 1 Jakub Jelinek 2004-10-06 14:30:12 EDT
The patch is in glibc-2.3.2-95.28 which ought to appear in U4 beta.
Comment 3 John Flanagan 2004-12-20 13:14:11 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-586.html

Note You need to log in before you can comment on or make changes to this bug.